categories:
  news:
    label: 'EXT:news' # (1)
  news.templates:
    parent: news
  news.pages:
    parent: news
  news.sitemap:
    parent: news
  news.preview:
    parent: news
  news.recordLinks:
    parent: news
  news.recordLinks.backend:
    parent: news.recordLinks
  news.recordLinks.frontend:
    parent: news.recordLinks

settings:

  news.view.templateRootPath:
    default: 'EXT:news/Resources/Private/Templates/'
    type: string
    category: news.templates

  news.view.partialRootPath:
    default: 'EXT:news/Resources/Private/Partials/'
    type: string
    category: news.templates

  news.view.layoutRootPath:
    default: 'EXT:news/Resources/Private/Layouts/'
    type: string
    category: news.templates

  news.pages.detail:
    category: news.pages
    default: 0
    type: page

  news.preview.page:
    category: news.preview
    default: 0
    type: page

  news.preview.mode:
    category: news.preview
    type: string
    default: 'news'
    enum:
      news: 'News'
      news_preview: 'Preview'